"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.manifest = void 0;
var core_js_1 = require("@web3api/core-js");
exports.manifest = {
    // TODO: use the schema.graphql
    // https://github.com/web3-api/monorepo/issues/101
    schema: "### Web3API Header START ###\nscalar UInt\nscalar UInt8\nscalar UInt16\nscalar UInt32\nscalar Int\nscalar Int8\nscalar Int16\nscalar Int32\nscalar Bytes\nscalar BigInt\n\ndirective @imported(\n  uri: String!\n  namespace: String!\n  nativeType: String!\n) on OBJECT | ENUM\n\ndirective @imports(\n  types: [String!]!\n) on OBJECT\n### Web3API Header END ###\n\ntype Query implements UriResolver_Query @imports(\n  types: [\n    \"UriResolver_Query\",\n    \"UriResolver_MaybeUriOrManifest\"\n  ]\n) {\n  catFile(\n    cid: String!\n    options: Options\n  ): Bytes!\n\n  resolve(\n    cid: String!\n    options: Options\n  ): ResolveResult\n\n  tryResolveUri(\n    authority: String!\n    path: String!\n  ): UriResolver_MaybeUriOrManifest\n\n  getFile(\n    path: String!\n  ): Bytes\n}\n\ntype Mutation {\n  # TODO: Allow for custom type CID\n  # https://github.com/web3-api/monorepo/issues/103\n  addFile(data: Bytes!): String!\n}\n\ntype ResolveResult {\n  cid: String!\n  provider: String!\n}\n\ntype Options {\n  # Timeout (in ms) for the operation.\n  # Fallback providers are used if timeout is reached.\n  timeout: UInt32\n\n  # The IPFS provider to be used\n  provider: String\n}\n\n### Imported Queries START ###\n\ntype UriResolver_Query @imported(\n  uri: \"w3://ens/uri-resolver.core.web3api.eth\",\n  namespace: \"UriResolver\",\n  nativeType: \"Query\"\n) {\n  tryResolveUri(\n    authority: String!\n    path: String!\n  ): UriResolver_MaybeUriOrManifest\n\n  getFile(\n    path: String!\n  ): Bytes\n}\n\n### Imported Queries END ###\n\n### Imported Objects START ###\n\ntype UriResolver_MaybeUriOrManifest @imported(\n  uri: \"w3://ens/uri-resolver.core.web3api.eth\",\n  namespace: \"UriResolver\",\n  nativeType: \"MaybeUriOrManifest\"\n) {\n  uri: String\n  manifest: String\n}\n\n### Imported Objects END ###",
    implements: [core_js_1.coreInterfaceUris.uriResolver],
};
//# sourceMappingURL=manifest.js.map